#!/bin/sh

SCRIPT_LOCATION=/etc/rc.d/init.d

# don't do the check if the system has been up less than 20 minutes
if [ -r /proc/uptime ]; then
  up=`cat /proc/uptime | sed -e 's/[ \.].*//'`
  if [ $up -lt 1200 ]; then
    exit 0
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-locallogger ]; then
  /etc/rc.d/init.d/edg-wl-locallogger status >/dev/null
  if [ $? -ne 0 ]; then
    /etc/rc.d/init.d/edg-wl-locallogger restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-lbserver ]; then
  /etc/rc.d/init.d/edg-wl-lbserver status >/dev/null
  if [ $? -ne 0 ]; then
    /etc/rc.d/init.d/edg-wl-lbserver restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-proxyrenewal ]; then
  /etc/rc.d/init.d/edg-wl-proxyrenewal status >/dev/null
  if [ $? -ne 0 ]; then
    /etc/rc.d/init.d/edg-wl-proxyrenewal restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-lm ]; then
  /etc/rc.d/init.d/edg-wl-lm status >/dev/null
  if [ $? -eq 1 ]; then
    /etc/rc.d/init.d/edg-wl-lm restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-jc ]; then
  /etc/rc.d/init.d/edg-wl-jc status >/dev/null
  if [ $? -eq 1 ]; then
    /etc/rc.d/init.d/edg-wl-jc restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-ns ]; then
  /etc/rc.d/init.d/edg-wl-ns status >/dev/null
  if [ $? -eq 1 ]; then
    /etc/rc.d/init.d/edg-wl-ns restart
  fi
fi

if [ -f ${SCRIPT_LOCATION}/edg-wl-wm ]; then
  /etc/rc.d/init.d/edg-wl-wm status >/dev/null
  if [ $? -eq 1 ]; then
    /etc/rc.d/init.d/edg-wl-wm restart
  fi
fi
